# potomark is a simple bookmarking and pinning discord bot.
there's no configuration besides a `.env` file with two keys:

- the bot's token `DISCORD_TOKEN`,
- channel id for a sentence game `SENTENCE_CHANNEL`. if you don't want to enable the sentence game, set the key to `-1`.

## why?
because we needed a tiny, self hostable bot to remember things of importance for our equally tiny discord server.

## what it do?
- DMs a user a link to any message they react with 🔖 to (tip: you can change the `BOOKMARK_EMOJI` constant in `bot.rb` to any built-in emoji). this also sends part of the message for quick access,
- lets users pin messages to the channel by reacting with 📌 on that message (change `PIN_EMOJI` to change the emoji). if there are no more of that emoji reactions on the message, it gets unpinned.
- lets users make sentences one word (or more) at a time in `SENTENCE_CHANNEL`. to finish a sentence, send either of these as a message: `?`, `!`, `.`, `...`, `?!`

## how?
requires [ruby](https://www.ruby-lang.org/) >= 3.0 and [bundler](https://bundler.io) >= 2.3.19. the only two dependencies are `dotenv` and `discordrb`, as specified in the `Gemfile`.

quick setup:
```bash
$ git clone https://git.poto.cafe/yagich/potomark-bot-rb.git && cd potomark-bot-rb
$ echo 'DISCORD_TOKEN=YOUR.DISCORD.TOKEN.HERE' > .env
$ echo 'SENTENCE_CHANNEL=SENTENCE_GAME_CHANNEL_ID' >> .env
$ bundle install
$ ruby bot.rb
```

## license?
the full license text is as follows:

```
you may not use this code for any purpose.
```